package testframework.utils;

import java.util.*;

/**
 * A tree storing the nodes with traffic
 * @author lzcarl
 *
 */
public class ControlTree {
	/**
	 * Use HashSet to represent the tree
	 * Each element is the index of command 
	 * 
	 */
	private HashSet<Integer> tree;
	
	public ControlTree() {
		tree = new HashSet<Integer>();
		tree.add(0);
	}
	
	public void add(int index) {
		tree.add(index);
	}
	
	public boolean isChild(int index) {
		int parent = (index - 1) / 26;
		if(tree.contains(parent))
			return true;
		else
			return false;
	}
}
