package traffic;

public class Item {
	String name;
	int elements;
	int size;
	int maxSize;
	int minSize;
	int states;
	int groupID;

	public Item (String name,int elements,int maxSize,int minSize,int size,int groupID) {
		this.name = name;
		this.elements = elements;
		this.size = size;
		this.maxSize = maxSize;
		this.minSize = minSize;
		this.groupID = groupID;
		
		//System.out.println(""+name+" ("+this.minSize+","+this.maxSize+")");
		//double crowd =(this.elements*1.0/(this.maxSize-this.minSize+1));
		//System.out.println(""+name+" "+(Math.rint(crowd*100)*1.0/100));

		updateStates(1);
	}

	public void updateStates(int roundTo) {
		if (this.groupID == -1) return;
		
		int mod_max = maxSize % roundTo;
		int mod_min = minSize % roundTo;
		int add_max = 0;
		int add_min = 0;
		if (mod_max > 0) add_max = roundTo - mod_max;
		if (mod_min > 0) add_min = mod_min;
		
		this.states = (maxSize - minSize + add_max + add_min) / roundTo;
		if (mod_min == 0) this.states++;
		
		if (this.states > this.elements) this.states = this.elements;
	}
	
	public static int roundTo(int size, int roundTo) {
		int m = size % roundTo;
		if (m == 0) {
			return size;
		} else {
			return size+(roundTo-m);
		}
	}
}